package abc.ltl.ast;

import static abc.ltl.visit.transform.RuntimeRepresentation.*;
import polyglot.ast.Node;
import polyglot.util.Position;
import abc.aspectj.ast.Pointcut;

/**
 * @author Eric
 */
public class PCLTLFinally_c extends PCLTLUnary_c implements PCLTLFinally
{
    public PCLTLFinally_c(Position pos, Pointcut pc)  {
		super(pos,pc);
    }

    /** Reconstruct the pointcut. */
	protected Node reconstruct(Pointcut pc) {
		if (pc != this.pc) {
			PCLTLFinally_c n = (PCLTLFinally_c) copy();
			n.pc = pc;
			return n;
		}
		return this;
	}

	public abc.weaving.aspectinfo.Pointcut makeAIPointcut() {
    	//TODO
    	return null;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected String getSymbol() {
        return "F";
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected String runtimeClassName() {
        return OP_F_CLASS_NAME;
    }

}
