package abc.ltl;

/**
 * Version information for ltl extension
 * @author Eric Bodden
 */
public class Version extends polyglot.main.Version {
    
	
	public String name() { return "JLO"; }

	/**
	 * {@inheritDoc}
	 */
	public int major() {
		return 0;
	}

	/**
	 * {@inheritDoc}
	 */
	public int minor() {
		return 9;
	}

	/**
	 * {@inheritDoc}
	 */
	public int patch_level() {
		return 3;
	}
	
	@Override
	public String toString() {
		return super.toString() +		
		"\n-------------------------------------------------------------------------------" +
		"\nJ-LO is being distributed under the Qt Non-Commercial License version 1.0." +
		"\nSee http://www-i2.informatik.rwth-aachen.de/Research/RV/JLO/license.html for details." +
		"\nFor CREDITS and LICENSE regarding abc, see http://www.aspectbench.org/" +
		"\n-------------------------------------------------------------------------------"
		;		
	}
}
